SolrQuery::setHighlightHighlightMultiTerm
SolrQuery::setHighlightMaxAnalyzedChars
SolrQuery
PHP Manual

# SolrQuery::setHighlightMaxAlternateFieldLength

Sets the maximum number of characters of the field to return

### Description

public SolrQuery SolrQuery::setHighlightMaxAlternateFieldLength ( int `$fieldLength` [, string `$field_override` ] )

If SolrQuery::setHighlightAlternateField() was passed the value `TRUE`, this parameter specifies the maximum number of characters of the field to return

Any value less than or equal to 0 means unlimited.

### Parameters

`fieldLength`

  The length of the field

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.